import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
//  strict
import PropTypes from 'prop-types';
import * as React from 'react';
import styled from 'styled-components';
import Text from '../../Atoms/Typography/Text';
var Wrapper =
/*#__PURE__*/
styled(Text).attrs({
  size: '0.875rem',
  weight: 500
}).withConfig({
  componentId: "za1pry-0"
})(["\n  color: ", ";\n\n  @media (min-width: ", ") {\n    color: ", ";\n  }\n"], function (props) {
  return props.theme['navbarDropdownDescriptionMobileColor'];
}, function (props) {
  return props.theme.screenSizes.sm;
}, function (props) {
  return props.theme['navbarDropdownDescriptionColor'];
});

var NavbarDropdownItemDescription = function NavbarDropdownItemDescription(_ref) {
  var children = _ref.children,
      rest = _objectWithoutProperties(_ref, ["children"]);

  return React.createElement(Wrapper, rest, children);
};

NavbarDropdownItemDescription.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node
} : {};
export default NavbarDropdownItemDescription;